v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/recon/shipments/cancel
Cancels a reconciliation shipment.
Rights: OrsInventoryPost and OrsBlinded or OrsUnblinded.
Rights: OrsInventoryPost and OrsBlinded or OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
Supported Media Types
- */*
Root Schema : Cancel Reconciliation Shipment Request
Type:
objectTitle:
Cancel Reconciliation Shipment RequestCancel recon shipment parameters.
Show Source
-
shipmentIds(required): array
shipmentIds
Minimum Number of Items:
1Maximum Number of Items:2147483647Unique Items Required:trueContains shipment IDs.
Nested Schema : shipmentIds
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
2147483647Unique Items Required:
trueContains shipment IDs.
Show Source
-
Array of:
string(uuid)
Contains shipment IDs.
Example:
[
"E39FF55A445543A38D513325664F0B2D",
"8ECE2C9D389645B09740DC7926DEFB69"
]Response
Supported Media Types
- application/json
200 Response
Successful operation
400 Response
'Invalid kit status.', 'Invalid shipment.', 'One or more shipments are not in a valid status.'
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
403 Response
User doesn't have access to the site
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Internal server error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples